#ifndef MEVTLOOP_H
#define MEVTLOOP_H

/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// MEvtLoop                                                                //
//                                                                         //
// Class to execute the tasks in a tasklist                                //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

class MParList;

class MEvtLoop
{
private:
    MParList  *fParlist;

public:
    MEvtLoop();
    virtual ~MEvtLoop();

    void SetParList(MParList *p);

    void Eventloop(Int_t maxcnt=-1, const char *tlist="MTaskList");

    ClassDef(MEvtLoop, 1) // Class to execute the tasks in a tasklist
};

#endif
